import java.util.ArrayList;

/**
 * Data container for building a graph.
 * 
 * Holds data used by the ChemGraph class to produce a graph.
 *
 * INSTRUCTIONS:
 *
 *  - X/Y labels both require 11 strings for labels
 *  - The first label should always be ""
 *  - The arraylist, points, holds all the lines that need to be drawn
 *  - A point contains the x position and a height
 *  - Height is a percent (0 - 100)
 *  - x position is a number 1 - 10 (to fit the labels)
 * 
 * @author Team NAH
 * @version Spring 2006
 */
public class GraphDataSet {
	// set variables
	private String xlabels[];

	private String ylabels[];

	private String origin;

	private ArrayList points;

	/**
	 * Constructor.
	 */
	public GraphDataSet() {
		xlabels = new String[11];
		ylabels = new String[11];
		origin = "0";
		points = new ArrayList();
	}

	/**
	 * Constructor.
	 */
	public GraphDataSet(String xlabels[], String ylabels[], String origin,
			ArrayList points) {
		this.xlabels = xlabels;
		this.ylabels = ylabels;
		this.origin = origin;
		if (points != null) {
			this.points = points;
		} else {
			this.points = new ArrayList();
		}
	}

	public void setOrigin(String val) {
		origin = val;
	}

	public String getOrigin() {
		return origin;
	}

	public void addPoint(Point point) {
		points.add(point);
	}

	public ArrayList getPoints() {
		return points;
	}

	public void setxLabels(String val[]) {
		xlabels = val;
	}

	public void setyLabels(String val[]) {
		ylabels = val;
	}

	public String[] getxLabels() {
		return xlabels;
	}

	public String[] getyLabels() {
		return ylabels;
	}
}
