/**
 * Represents an isotope, records an atomic mass with a percentage. This class
 * is stored in an <code>IsotopeList</code>.
 * 
 * @author Team NAH
 */
public interface Isotope {
	/**
	 * @return the atomic mass
	 */
	public double getAtomicMass();

	/**
	 * @return the percentage
	 */
	public double getPercent();

	/**
	 * sets the atomic mass
	 */
	public void setAtomicMass(double val);

	/**
	 * sets the percentage
	 */
	public boolean setPercent(double val);

	/**
	 * @return true if the isotope has been modified
	 */
	public boolean isModified();
}
